Bug 523704 - Oyranos comes without default profiles
Summary: Oyranos comes without default profiles
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: oyranos
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 13:55 UTC by Alex
Modified: 2009-12-01 06:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 22:04:33 UTC
Type: ---


Attachments (Terms of Use)

Description Alex 2009-09-16 13:55:44 UTC
Description of problem:
Oyranos CMS system (precisely 0.1.9) comes without default ICC color profiles. Everything can work without these ICC color profiles but oyranos (and iccexamin package) rely on these specific ICC color profiles. One easily can download the source and extract profiles from the tarball but it would be just nicer to have everything at once.

Actual results:
Many annoying messages and improper color related results in some situations

Expected results:
Normal work

Comment 1 Nicolas Chauvet (kwizart) 2009-09-17 21:55:30 UTC
Your report is right, but the accurate way to do would be to build icc profiles outside from oyaranos. The plan was to submit them for review separately and looking at each of them license.

Unfortunately, I lack time these days, and keeping this report undefinitly open won't help to have the problem solved. So I will consider this problem occurs outside of the oyaranos package itself and that someone may join the package maintainer team to have them submitted, :)
https://fedoraproject.org/wiki/PackageMaintainers

Comment 2 Kai-Uwe Behrmann 2009-12-01 06:02:18 UTC
ICC profiles contain an internal ID. This is a special md5 checksum.
Rebuilding profiles might break existing workflows, which rely on
certain profiles in the chain. Changed profile in the chain may require
colour conversion, which is not derireable as it introduces data loss.

What issues does Fedora have with the Oyranos included profiles?

In oyranos-0.1.9 all print profiles have switched to ArgyllCMS generated
ones with a very liberal license attached. The colour charts to recreate the 
profiles and the according command line is all in place to keep things as
open as possible for individuals. This was specifically done to satisfy
the needs of distributors.
However I think there is no need to touch the supplied profiles any further
for distribution.


Note You need to log in before you can comment on or make changes to this bug.